summaryrefslogtreecommitdiff
path: root/games-arcade
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-13 03:04:35 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-13 03:04:35 -0500
commitd6c616f80bd44aa3323ca5211338d251e1215938 (patch)
tree9597c13f86588aca7eeb854a486440bdcace1c30 /games-arcade
parent40d2213d241ba50dbaf9b311a92a93e480fbd474 (diff)
downloadbaldeagleos-repo-d6c616f80bd44aa3323ca5211338d251e1215938.tar.gz
baldeagleos-repo-d6c616f80bd44aa3323ca5211338d251e1215938.tar.xz
baldeagleos-repo-d6c616f80bd44aa3323ca5211338d251e1215938.zip
Adding metadata
Diffstat (limited to 'games-arcade')
-rw-r--r--games-arcade/taisei/Manifest1
-rw-r--r--games-arcade/taisei/taisei-1.4.5.ebuild88
2 files changed, 89 insertions, 0 deletions
diff --git a/games-arcade/taisei/Manifest b/games-arcade/taisei/Manifest
index 596ff6027417..10f3f43febe2 100644
--- a/games-arcade/taisei/Manifest
+++ b/games-arcade/taisei/Manifest
@@ -1 +1,2 @@
DIST taisei-1.4.4.tar.xz 290331536 BLAKE2B 8dcd65265062f510e407494ab977a1f2d98937fef3657fb61cc582f8ec855dc8402c79fa059a9ceff52e45a0ff50fde810d72c3a1b270ed64824d6dcb42ab983 SHA512 18a65222db696dd634eb1dff625116bdbfff0c510498c9a73244facd724850d365d06776161fecbbee3d09c59472b0236b05a031aaf3b02c32d417a84267d428
+DIST taisei-1.4.5.tar.xz 307140508 BLAKE2B b128fb6c7dccc518e8bd0579300695475f028046287a3211da734df49d8a38c3eb60b1c939fce133434bf7dc43b13e2735080921c81ee3340d2702a893a54c4c SHA512 68ab8e234443c044b74cb423b1b64ac1a7a155505889dae3f086e0d82290a04169a40862f8ffad8773aaf6800f5c2e289f5d02d253d3bd87c693a9532f6f4339
diff --git a/games-arcade/taisei/taisei-1.4.5.ebuild b/games-arcade/taisei/taisei-1.4.5.ebuild
new file mode 100644
index 000000000000..f41ea652921d
--- /dev/null
+++ b/games-arcade/taisei/taisei-1.4.5.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit meson python-any-r1 xdg
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/taisei-project/taisei.git"
+else
+ # Auto-generated tarballs lacks submodules, all of which are taisei subrepos
+ SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/taisei-${PV}.tar.xz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="https://taisei-project.org/"
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
+SLOT="0"
+
+IUSE="doc lto +mimalloc"
+
+RDEPEND="
+ dev-util/glslang
+ media-libs/freetype:2
+ media-libs/opusfile
+ >=media-libs/libpng-1.5
+ >=media-libs/libsdl3-3.2.0[opengl]
+ media-libs/libwebp
+ media-libs/opusfile
+ app-arch/zstd
+ virtual/zlib:=
+ dev-libs/openssl:=
+ >=dev-libs/libunibreak-6.1
+ mimalloc? ( dev-libs/mimalloc:= )
+"
+# bug in dev-libs/cglm-0.9.3: https://github.com/taisei-project/taisei/issues/381
+DEPEND="
+ ${RDEPEND}
+ >=dev-libs/cglm-0.7.8
+ !!~dev-libs/cglm-0.9.3
+"
+# dev-python/backports-zstd only required for <3.14 but python-any-r1 doesn't have python_gen_cond_dep
+BDEPEND="
+ >=dev-build/meson-1.8.0
+ sys-devel/gettext
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep '
+ dev-python/backports-zstd
+ ')
+ doc? ( dev-python/docutils )
+"
+
+# BSD qsort_r(3) and Microsoft qsort_s(3) implicit declarations
+# https://bugs.gentoo.org/941235
+QA_CONFIG_IMPL_DECL_SKIP=(
+ qsort_r
+ qsort_s
+)
+
+src_prepare() {
+ # Path patching needed also without USE=doc (COPYING etc.)
+ sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', \'${PF}\')/" \
+ meson.build || die "Failed changing doc_path"
+
+ # Remove blobs
+ rm -f external/basis_universal/OpenCL/lib/*.lib \
+ external/basis_universal/webgl_videotest/basis.wasm \
+ external/basis_universal/webgl/transcoder/build/basis_transcoder.wasm \
+ external/basis_universal/webgl/encoder/build/basis_encoder.wasm \
+ || die
+
+ default
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature doc docs)
+ $(meson_use lto b_lto)
+ -Dallocator=$(usex mimalloc mimalloc libc)
+ -Dstrip=false
+ -Duse_libcrypto=enabled
+ )
+ meson_src_configure
+}